function problem = setup_problem
% This file is part of the OPTPDE problem collection
%                 http://www.optpde.net
% It is provided as is, without any warranty, under the 
%
% Creative Commons Attribution-NonCommercial ShareAlike 4.0 International
%
%         http://creativecommons.org/licenses/by-nc-sa/4.0/
%
% Please give proper credits when using this file by referencing the 
% collection. For this purpose detailed bibliography data is 
% available at the collections website 
%                  
%                 http://www.optpde.net
%
% This file contains data for the benchmark problem 
%                      rddist2
% from  2022-04-01 



% length of spatial domain
problem.L = 20;

% final time
problem.T = 5;

% length of one control interval
problem.delta = 6;

% portion of control domain
problem.q = 2 * problem.delta / problem.L;

% control cost parameter
problem.lambda = 1e-6;

% speed of uncontrolled wave front
problem.c = 450 / 281;

